Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.om.mapper
Interface RecordMapper<T>

Type Parameters:
  `T` - the class to map from and to a database record

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BigDecimalMapper, CompositeMapper, DateMapper, IntegerMapper, LongMapper, ObjectListMapper, StringMapper

    public interface RecordMapper<T>

extends Serializable

Maps an object to a database record and back. This means that the object can be read from a database resultSet and that it can produce PreparedStatements which insert or update the record in the the database.

Version:
  $Id: RecordMapper.java 1448414 2013-02-20 21:06:35Z tfischer $

Method Summary
`T` | `processRow(ResultSet resultSet, int rowOffset, CriteriaInterface<?> criteria)` Constructs the object from the current row in the resultSet.

Method Detail

### processRow

    T processRow(ResultSet resultSet,
                 int rowOffset,
                 CriteriaInterface<?> criteria)
                 throws TorqueException

  Constructs the object from the current row in the resultSet. Implementing methods can be sure that the resultSet contains a row, but they must only operate on the current row, i.e they must not call resultSet.next().

  Parameters:
    `resultSet` - the resultSet to operate on, already pointing to the correct row. Not null.
    `rowOffset` - a possible offset in the columns to be considered (if previous columns contain other objects), or 0 for no offset.
    `criteria` - the Criteria which contains the query to process, or null if not known or the query was not produced by a Criteria. Can be used by the RecordMapper to determine the columns contained in the result set.
  Returns:
    the mapped object, not null.
  Throws:
    `TorqueException` - when the mapping fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.